## org.apache.poi.openxml4j.exceptions
Class OpenXML4JException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.poi.openxml4j.exceptions.OpenXML4JException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  InvalidFormatException

    public class OpenXML4JException

extends java.lang.Exception

Global exception throws when a critical error occurs. (this exception is not set as Runtime in order to force user to manage the exception in a try/catch).

Version:
  1.0
Author:
  CDubettier, Julien Chable
See Also:
  Serialized Form

Constructor Summary
`OpenXML4JException(java.lang.String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenXML4JException

    public OpenXML4JException(java.lang.String msg)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.